@charset "utf-8";

/*구글 아이콘 연결*/
@import url(https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@24,300,0,0);


 /*헤더 영역-------------------------------*/
 #header{
    width: 100%;
    position: relative;
    margin-top: 70px;
}

.phone{
    width: 100%; 
    display: block;
}
.header2{
    display: none;
}
.mobileheader{
    display: none;
}

 /*헤더 밑 버튼*/
#searchBox{
    width: 90%;  max-width: 1000px;
    margin: 50px auto;
    border: 3px solid #00A52B;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1em;
    box-shadow: 5px 5px 8px rgba(0,0,0,0.5);
    transition: 0.3s ease-out;

    animation: search 2.5s;
}

#searchBox:hover{
    background-color: #F2F2F2;
}

#searchBox > h3{
    color: #999;
    font-size: 1.8em;
    margin-right: 1em;
    transition: 0.3s ease-out;
}

#searchBox:hover > h3{
    color: #184100;
}

#searchBox > button{
    background-color: #184100;
    color: #F2F2F2;
    border: none;
    font-size: 1.5em;
    padding: 0.5em;
    border-radius: 10px;
    cursor: pointer;
    transition: 0.3s ease-out;
}

#searchBox:hover > button{
    background-color: #00A52B;
}

#searchBox > i{
    color: #184100;
    font-size: 2em;
    margin-right: 1em;
    transition: 0.3s ease-out;
}

#searchBox:hover > i{
    color: #00A52B;
}

/*헤더 텍스트 박스용 애니메이션 선언*/
@keyframes search {
    from{ opacity: 0; }
    to{ opacity: 1; }
}

/*모바일버튼*/

#mobilebutton{
    width: 80%;
    margin: 30px auto;
    display: flex;
    justify-content: space-between;
    align-items: center;

    animation: search 2.5s;
}


.mobilebutton1{
    display: none;

    border: none;
    background: #96e6a1;
    color: #3048d0;
    font-weight: bold;
    font-size: 2rem;
    padding: 1rem;
    border-radius: 5px;
    box-shadow: 2px 2px 8px rgba(0,0,0,0.5);
}

.mobilebutton1:hover{
    background: #184100;
    color: #fff;
}

.mobilebutton2{
    display: none;

    border: none;
    background : #b490ca;
    color: #d4fc79;
    font-weight: bold;
    font-size: 2rem;
    padding: 1rem;
    border-radius: 3px;
    box-shadow: 2px 2px 8px rgba(0,0,0,0.5);
}

.mobilebutton2:hover{
    background: #184100;
    color: #fff;
}

/*섹션1 영역----------------------------------------------------*/
    #sec1{  
        text-align: center;
    }

 /* 슬라이더 내부 이미지 크기*/
 .slick-slide img { width: 90% }

 /*좌우 슬라이더 버튼*/
 /*.slick-prev:before, .slick-next:before { color: #fff } */     /* 공통 */ 
 .slick-prev { transform:scale(2) translateX(-5px);  z-index:10; }    /* 이전버튼 */ 
 .slick-next { transform:scale(2) translateX(5px);  z-index:10; }    /* 다음버튼 */ 

 .slick-prev:before{  /*이전 버튼 모양*/
     font-family: "Material Symbols Outlined";
     content: '\e5e0';  color: #000;
 }
 .slick-next:before{  /*다음 버튼 모양*/
     font-family: "Material Symbols Outlined";
     content: '\e5e1';  color: #000;
 }
 
 .regular {     /*슬라이더 박스*/
 width:90%; max-width:1200px; margin:50px auto }



/*섹션2(비디오) 영역---------------------------------------------*/

.videoBox{
    width: 90%;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-gap: 2rem;
    margin: auto;
}


.kakaoBox{  /*영상 보관용 박스*/
    width: 100%;  height: 0;
    padding-bottom: 56.25%;
    position: relative;
}

.kakao{  /*영상*/
    position: absolute;
    top: 0;  left: 0;
    width: 100%;  height: 100%;   
}

.videoTitle{
    margin-top: 0.8rem;
    font-size: 1.2rem;
}


/*섹션3 영역----------------------------------------------------*/

#pickBox{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-gap: 1em;
}

.poster{
    padding: 2rem;
    background-color: #F2F2F2;
    margin: 1rem;
    text-align: center;
    cursor: pointer;
}

/*리스트 영역에 닿으면, 사진 확대하기*/
.poster:hover{
    transform: scale(1.1);
}


/*모달 팝업창*/
#modal{
    position: fixed;
    top: 0;  left: 0;  
    width: 100%;  height: 100%;
    background: rgba(0, 0, 0, 0.7);
    z-index: 9;
    display: none;
}

#modalBox{
    width: 100%;  max-width: 1000px;
    background: #fff;
    padding: 2rem;
    border-radius: 10px;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);

    position: absolute;
    top: 50%;  left: 50%;
    transform: translate(-50%, -50%);

    animation: modal 0.5s both;
}

@keyframes modal {
    from { transform: translate(-50%, -50%) scale(0.8);  opacity: 0; }
    to { transform: translate(-50%, -50%) scale(1);  opacity: 1; }
}

#ulmodalBox{
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 2rem;
}

.modalText{
    margin: auto;
}

#mTitle{ font-size: 1.5rem;  color: #184100;  margin-bottom: 0.5rem; }
#mText{ font-size: 1.2rem;  margin-bottom: 2rem; }
#mText2{ line-height: 1.5rem; }
#mimage{ width: 100%;  display: block; }

#go{
    color: #F2E8B5;
    background: #184100;
    border-radius: 4px;
    border: none;
    font-size: 1.2rem;  padding: 0.5rem 1rem; 
    margin: 1rem;
    right: 0;
    cursor: pointer;
    display: block;
    margin-left: auto;
}

#mClose{
    position: absolute;
    top: 1rem;  right: 1rem;
    border: none;  background: none;
    color: #000;
    font-size: 2rem;

    transition: 0.3s;
    cursor: pointer;
}

#mClose:hover{ transform: rotate(180deg); }


/*섹션4 영역----------------------------------------------------*/
#sec4{
    background: #F2E8B5;
}
#sec4Box{
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 1rem;
}
.leftBox{
    border-right: 1px solid #777;
    padding: 1rem;
}
#leftCaption{
    display: grid;
    grid-template-columns: 1fr;
    margin-top: 2rem;
}
.left1{
    border-bottom: 1px dotted #777;
    padding: 1rem;
}
.left1 > p{
    margin-top: 0.5rem;
}
.left1 > p > a{
    color: #000;
}

.rightBox{
    padding: 1rem;
}
#rightCaption{
    display: grid;
    grid-template-columns: 1fr 2fr;
    margin-top: 2rem;
    border-bottom: 1px dotted #777;
    border-top: 1px dotted #777;
}
.right1{
    display: block;
    margin: auto;
}
.right1 > img{
    padding: 1rem
}
.right1 > h3{
    margin-bottom: 2rem;
}
.right1 > p{
    line-height: 1.5rem;
}
.right1 > p:last-child{
    margin-top: 2rem;
}

/*배너*/
.banner{
    width: 100%;  max-width: 1500px;
    display: block;  margin: auto;
    margin-bottom: 1rem;
}
.mobilebanner{ display: none;}



/*반응형------------------------------------------------------------------------*/



@media screen and (max-width:1000px) {

    #slidedivBox{
        width: 40%;
    }


    #searchBox{
        display: none;
    }

    
    .mobilebutton1{
        display: block;
    }
    .mobilebutton2{
        display: block;
    }

    .videoTitle{
        font-size: 1rem;
    }
}


@media screen and (max-width:900px) {

    #sec1Title{
        font-size: 3rem;  margin-bottom: 1rem;
    }
    .green1{
        font-size: 3rem;  margin-bottom: 0.5em;
    }

    #pickBox{
        grid-template-columns: repeat(2,1fr);
    }

    .videoBox{
        grid-template-columns: 1fr;
    }

    #sec4Box{
        grid-template-columns: 1fr;
        grid-gap: 2rem;
    }
    .leftBox{
        border-right: none;
        border-bottom: 1px solid #777;
        padding-bottom: 4rem;
    }

}


@media screen and (max-width:850px) {

    .phone{
        display: none;
    }

    .header2{
        display: block;
        width: 100%;
    }

    .mobileheader{
        display: none;
    }

    .mobilebutton1{
        font-size: 1.8rem;
        padding: 1rem;
    }
    .mobilebutton2{
        font-size: 1.8rem;
        padding: 1rem;
    }

    #slidedivBox{
        width: 60%;
    }
    
    }


    @media screen and (max-width:580px) {
        .mobilebutton1{
            font-size: 1.5rem;
            padding: 0.8rem;
        }
        .mobilebutton2{
            font-size: 1.5rem;
            padding: 0.8rem;
        }
    }

    @media screen and (max-width:480px) {
        .mobilebutton1{
            font-size: 1.2rem;
            padding: 0.6rem;
        }
        .mobilebutton2{
            font-size: 1.2rem;
            padding: 0.6rem;
        }
    }




@media screen and (max-width:450px) {

    .phone{
        display: none;
    }

    .header2{
        display: none;
    }

    .mobileheader{
        display: block;
        width: 100%;
    }


    #sec1Title{
        font-size: 2.2rem;  margin-bottom: 1rem;
    }
    .green1{
        font-size: 2.4rem;  margin-bottom: 0.5em;
    }

    /*슬라이드 영역 반응형*/

    #slidedivBox{
        width: 90%;
    } 

    .videoTitle{
        font-size: 0.8rem;
    }

    #pickBox{
        grid-template-columns: 1fr;
    }
 

    .left1 > h3{
        font-size: 1rem;
    }
    #rightCaption{
        grid-template-columns: 1fr;
        text-align: center;
        
    }
    .right1 > h3{
        font-size: 1rem;
        margin-bottom: 1rem;
    }
    .right1 > p{
        font-size: 0.9rem;
        line-height: 1.2rem;
    }
    .right1 > p:last-child{
        margin: 1rem 0;
    }


    /*배너 반응형*/

    .banner{
        display: none;
    }

    .mobilebanner{
        display: block;
        width: 100%;  max-width: 1500px;
        margin: auto;
        margin-bottom: 0.5rem;
    }

}

